﻿package{
	
	import flash.display.Sprite;
	import flash.display.BitmapData;
	import flash.display.Bitmap;
	
	import flash.events.Event;
	
	public class Sphere extends Sprite{
		
		private var _screen:BitmapData;
		
		public function Sphere():void{
			/*on cree le background ou les vecteurs vont être arrêtés*/
			_screen = new BitmapData(stage.stageWidth,stage.stageHeight,false,0x000000);
			/*on en fait un bitmap*/
			var bitmap:Bitmap = new Bitmap(_screen);
			/*on affiche le bitmap*/
			addChild(bitmap);
			
			/*on affecte un evenement ENTERFRAME*/
			addEventListener(Event.ENTER_FRAME,onEnterFrame);
			
			}
			
		private function onEnterFrame(e:Event):void{
			_screen.fillRect(_screen.rect,0x032D8D);
			
			var line:Sprite = new Sprite();
			
			line.graphics.lineStyle((mouseX/600)*100,0xffffff,.4);
			
			
			var val:Number;
			
			/*lignes horizontales*/
			var w:uint = 100;
			for(var i:uint=0;i<300;i+=5){
				val = Math.sin(Math.PI*i/180)*((mouseY)/30);
				line.graphics.moveTo(val+10 + w,-200);
				line.graphics.lineTo((val*300)+w,800);
				
				
				if(i%360 == 0 && i!=0){
					w+=200;
					}
				}
				
			/*lignes verticales*/	
			w  = 100;
			for(i=0;i<300;i+=5){
				val = Math.sin(Math.PI*i/180)*(mouseY/20);
				line.graphics.moveTo(0,(val*100)+w);
				line.graphics.lineTo(600,(val*100)+w);
				
				
				if(i%360 == 0 && i!=0){
					w+=200;
					}
				}
				
				
			_screen.draw(line);
			line.graphics.clear();
			}
		
		}
	
	}